<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="layout" tagdir="/WEB-INF/tags/layout" %>

<layout:default>
	<jsp:attribute name="content">
		<h2>Odds</h2>
		<b>Pass odds</b>: If a 4, 5, 6, 8, 9, or 10 is thrown on the come-out roll (i.e., if a point is set), most casinos allow pass line bettors to take odds by placing from one to five times (and at some casinos, up to 100 times) the pass line bet behind the pass line. This additional bet wins if the point is rolled again before a 7 is rolled (the point is made) and pays at the true odds of 2-to-1 if 4` or 10 is the point, 3-to-2 if 5 or 9 is the point, and 6-to-5 if 6 or 8 is the point.<br /><br />

		Some casinos offer "3-4-5X Odds," where the maximum allowed odds bet depends on the point (three times if the point is 4 or 10, four times on 5 or 9, and five times on 6 or 8). This rule simplifies the calculation of winnings: a maximum pass odds bet on a 3-4-5X table will always be paid at six times the pass line bet regardless of the point.<br /><br />

		As odds bets are paid at true odds, in contrast with the pass line which is always even money, playing pass odds on a minimum pass line bet lessens the house advantage. A maximum odds bet on a minimum pass line bet often gives the lowest house edge available in the casino. However, the odds bet cannot be made independently, so the house retains an edge on the pass line bet itself.<br /><br />

		<b>Don't pass odds</b>: If a player is playing don't pass instead of pass, they may also lay odds by placing chips behind the don't pass line. If a 7 comes instead of the point coming, the odds pay at true odds of 1-to-2 if 4 or 10 is the point, 2-to-3 if 5 or 9 is the point, 5-to-6 if 6 or 8 is the point.<br /><br />

        <h3>References</h3>
        Kanzen, J. (n.d.). Craps Rules. Retrieved October 21, 2010, from Gamblin il dado: <a href="http://www.ildado.com/craps_rules.html" target="_blank">http://www.ildado.com/craps_rules.html</a><br />
RTG Casinos. (2009). CRAPS. Retrieved October 21, 2010, from Club USA Casino: <a href="http://www.goingtovegas.com/kpv-crap.htm" target="_blank">http://www.rtgcasinos.org/craps.htm</a><br />

<%-- End content container --%>
	</jsp:attribute>
</layout:default>
